Nom du paquet
gnupg
Date
2006-06-20
Advisory ID
MDKSA-2006:110
Affected versions
MNF2.0 i586 , 2006.0 i586 , 10.2 i586 , CS3.0 x86_64 , CS3.0 i586 , 10.2 x86_64 , 2006.0 x86_64

Problem description

A vulnerability was discovered in GnuPG 1.4.3 and 1.9.20 (and earlier)
that could allow a remote attacker to cause gpg to crash and possibly
overwrite memory via a message packet with a large length.

The updated packages have been patched to correct these issues.

Updated packages

MNF2.0 i586

 610a0a00957c503172904a054cc98a2a  mnf/2.0/RPMS/gnupg-1.4.2.2-0.2.M20mdk.i586.rpm
 3291b35f3c2c2fdafc42d8fc8f7062da  mnf/2.0/SRPMS/gnupg-1.4.2.2-0.2.M20mdk.src.rpm

2006.0 i586

 a58b87cc4962c958d2b5ab8ce6ff2af0  2006.0/RPMS/gnupg-1.4.2.2-0.2.20060mdk.i586.rpm
 629ccc307a6b0ba7a6b20e4e0c293594  2006.0/RPMS/gnupg2-1.9.16-4.1.20060mdk.i586.rpm
 c4e6a135b2a74c3b753636fdb7459183  2006.0/SRPMS/gnupg-1.4.2.2-0.2.20060mdk.src.rpm
 f81f714630d5ea3516f619e532bdf407  2006.0/SRPMS/gnupg2-1.9.16-4.1.20060mdk.src.rpm

10.2 i586

 d3a12d93b7bbe542458348cc51dcead8  10.2/RPMS/gnupg-1.4.2.2-0.2.102mdk.i586.rpm
 731dc939288445076650464d2e00ac87  10.2/SRPMS/gnupg-1.4.2.2-0.2.102mdk.src.rpm

CS3.0 x86_64

 d5d73bc8f01dab03beba0b305d5d1ecb  x86_64/corporate/3.0/RPMS/gnupg-1.4.2.2-0.2.C30mdk.x86_64.rpm
 d1562a6ce6f3f1e995cbceb39e4d4760  x86_64/corporate/3.0/SRPMS/gnupg-1.4.2.2-0.2.C30mdk.src.rpm

CS3.0 i586

 b6749396abd547f862babb262b20a6a0  corporate/3.0/RPMS/gnupg-1.4.2.2-0.2.C30mdk.i586.rpm
 d1562a6ce6f3f1e995cbceb39e4d4760  corporate/3.0/SRPMS/gnupg-1.4.2.2-0.2.C30mdk.src.rpm

10.2 x86_64

 0e39c1d095a27e35a6e8f76899e27628  x86_64/10.2/RPMS/gnupg-1.4.2.2-0.2.102mdk.x86_64.rpm
 731dc939288445076650464d2e00ac87  x86_64/10.2/SRPMS/gnupg-1.4.2.2-0.2.102mdk.src.rpm

2006.0 x86_64

 600e6b7de637676c066f716ad8927acc  x86_64/2006.0/RPMS/gnupg-1.4.2.2-0.2.20060mdk.x86_64.rpm
 947ef9f61b86dc0e53b926545da1dc5c  x86_64/2006.0/RPMS/gnupg2-1.9.16-4.1.20060mdk.x86_64.rpm
 c4e6a135b2a74c3b753636fdb7459183  x86_64/2006.0/SRPMS/gnupg-1.4.2.2-0.2.20060mdk.src.rpm
 f81f714630d5ea3516f619e532bdf407  x86_64/2006.0/SRPMS/gnupg2-1.9.16-4.1.20060mdk.src.rpm

References